from django.conf import settings

if getattr(settings, "SHIBBOLETH_OVER_HTTP_HEADER", False):
    _KEY_PREFIX = "HTTP_"
else:
    _KEY_PREFIX = ""

# WARNING: Do not forget to clear the headers in the web server (e.g. nginx/include/shibboleth)
# if they are supplied as HTTP headers
SHIBBOLETH_SESSION_ID_KEY = _KEY_PREFIX + "SHIB_SESSION_ID"
SHIBBOLETH_USERNAME_KEY = _KEY_PREFIX + "PAIRWISE_ID"
SHIBBOLETH_FIRST_NAME_KEY = _KEY_PREFIX + "GIVENNAME"
SHIBBOLETH_LAST_NAME_KEY = _KEY_PREFIX + "SN"
SHIBBOLETH_DISPLAY_NAME_KEY = _KEY_PREFIX + "DISPLAYNAME"
SHIBBOLETH_EMAIL_KEY = _KEY_PREFIX + "MAIL"
SHIBBOLETH_BBBATSCALE_GROUPS_KEY = _KEY_PREFIX + "BBBATSCALE_GROUPS"
